set client_encoding to 'utf8';
drop table if exists cats cascade;
create table cats(
	cat_id serial,
	cat_name varchar(32),
	cat_description varchar(64),
	cat_ordering integer,
	constraint cats_cat_id_pkey primary key( cat_id )
);

comment on table cats is 'storage of CAT softwares';
comment on column cats.cat_id is 'unique id of table';
comment on column cats.cat_name is 'short name of the CAT software';
comment on column cats.cat_description is 'description of the cat softver';
comment on column cats.cat_ordering is 'ordering of the current cat';

comment on constraint cats_cat_id_pkey on cats is 'unique constraint on table';

INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Trados 7','Trados 7',1);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('SDL Trados 2007','SDL Trados 2007',2);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('SDL Trados Studio 2009','SDL Trados Studio 2009',3);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('memoQ','memoQ',4);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Across','Across',5);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Deja Vu','Deja Vu',6);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Fusion','Fusion',7);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Star Transit','Star Transit',8);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Swordfish','Swordfish',9);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Wordfast','Wordfast',10);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Passolo','Passolo',11);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Google TT','Google TT',12);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('MetaTexis','MetaTexis',13);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('OmegaT','OmegaT',14);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('openTMS','openTMS',15);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Abbyy Aligner','Abby Aligner',16);
INSERT INTO cats( cat_name , cat_description , cat_ordering ) VALUES ('Felix','Felix',17);
